### Method

# Gtk IMContextset_use_preedit

#### Declaration [src]

    void
    gtk_im_context_set_use_preedit (
      GtkIMContext* context,
      gboolean use_preedit
    )

#### Description [src]

Sets whether the IM context should use the preedit string to display feedback.

If `use_preedit` is `FALSE` (default is `TRUE`), then the IM context may use some other method to display feedback, such as displaying it in a child of the root window.

#### Parameters

`use_preedit`

  Type: `gboolean`

  Whether the IM context should use the preedit string.